<?php
/**
 * The sidebar containing the main widget area.
 *
 * If no active widgets in sidebar, let's hide it completely.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
?>

<div id="secondary" class="widget-area" role="complementary">
	<?php 
		if ( is_page() ) { 	
			dynamic_sidebar( 'pages' ); 
		} else {
			dynamic_sidebar( 'sidebar-1' ); 
		}
	?>
</div>